acl SSL_ports port 443 446 563 631 873 1935
acl Safe_ports port 80		# http
acl Safe_ports port 21		# ftp
acl Safe_ports port 443 446 563 631 873 1935	# https
acl Safe_ports port 70		# gopher
acl Safe_ports port 210		# wais
acl Safe_ports port 1025-65535	# unregistered ports
acl Safe_ports port 591		# filemaker
acl Safe_ports port 777		# multiling http
acl CONNECT method CONNECT
acl ftponly proto ftp
acl httponly proto http https
http_access deny manager
http_access deny !Safe_ports
http_access deny CONNECT !SSL_ports
acl haveident ident REQUIRED
http_access allow localhost
http_access deny all
http_port 127.0.0.1:3128
tcp_outgoing_address 0.0.0.0
hierarchy_stoplist cgi-bin ?
cache_dir ufs /var/spool/squid3 512 16 256
access_log stdio:/var/log/squid3/access.log
coredump_dir /var/spool/squid3
refresh_pattern ^ftp:		1440	20%	10080
refresh_pattern ^gopher:	1440	0%	1440
refresh_pattern -i (/cgi-bin/|\?) 0	0%	0
refresh_pattern .		0	20%	4320
request_timeout 30 seconds
shutdown_lifetime 10 seconds
udp_outgoing_address 0.0.0.0
forwarded_for delete
cachemgr_passwd disable all
cache_peer my.uplink.proxy parent 3138 0 default no-digest no-query no-netdb-exchange no-tproxy
never_direct allow all
nonhierarchical_direct off
